package zdialog;

import javafx.scene.Parent;
import javafx.scene.control.Button;
import static zdialog.StandardDialogButtons.stdButtonAction;
import zdialog.models.StandardDialogResult;

/**
 * An extension of an Ok/Cancel dialog with an extra button.
 * 
 * @author graham
 */
public class OkCancelExtraDialog extends OkCancelDialog
{

	public OkCancelExtraDialog(String title)
	{
		super(title);
	}

	@Override
	public Parent buildContent()
	{
		Parent parent = super.buildContent();
		Button b = new Button("Extra");
		b.setMinWidth(40);
		b.setOnAction(stdButtonAction(getModel(), new StandardDialogResult("Extra")));
		getButtonBar().getChildren().add(b);
		return parent;
	}
}
