package zdialog;

import zdialog.models.StandardDialogResult;
import zdialog.models.DialogModel;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.control.Button;

/**
 * Routines to create standard buttons.
 * 
 * @author graham
 */
public class StandardDialogButtons
{

	public static <T> EventHandler<ActionEvent> stdButtonAction(DialogModel<T> model, T value)
	{
		return (ActionEvent event) ->
		{
			model.resultProperty().set(value);
		};
	}

	public static <T> Button createOkButton(DialogModel<StandardDialogResult> model)
	{
		Button b = new Button("OK");
		b.setMinWidth(40);
		b.setOnAction(stdButtonAction(model, StandardDialogResult.OK));
		return b;
	}

	public static <T> Button createCancelButton(DialogModel<StandardDialogResult> model)
	{
		Button b = new Button("Cancel");
		b.setMinWidth(40);
		b.setOnAction(stdButtonAction(model, StandardDialogResult.CANCEL));
		return b;
	}

	public static <T> Button createYesButton(DialogModel<StandardDialogResult> model)
	{
		Button b = new Button("Yes");
		b.setMinWidth(40);
		b.setOnAction(stdButtonAction(model, StandardDialogResult.YES));
		return b;
	}

	public static <T> Button createNoButton(DialogModel<StandardDialogResult> model)
	{
		Button b = new Button("No");
		b.setMinWidth(40);
		b.setOnAction(stdButtonAction(model, StandardDialogResult.NO));
		return b;
	}
}
