package zdialog.models;

import javafx.beans.property.SimpleObjectProperty;
import javafx.stage.Modality;

/**
 * A dialog model.
 * 
 * @author graham
 *
 * @param <T> the type of the result of the dialog if any.
 */
public class DialogModel<T>
{

	private SimpleObjectProperty< T> resultProperty = new SimpleObjectProperty();
	//	is the title part of the model? titleless dialogs ...
	private String title;
	private Modality modality;
	private boolean wait;

	public DialogModel(String title, Modality modality, boolean wait)
	{
		this.title = title;
		this.modality = modality;
		this.wait = true;
	}

	public String getTitle()
	{
		return title;
	}

	public Modality getModality()
	{
		return modality;
	}

	public boolean isWait()
	{
		return wait;
	}

	public SimpleObjectProperty<T> resultProperty()
	{
		return resultProperty;
	}

	public void setModality(Modality modality)
	{
		this.modality = modality;
	}

	public void setWait(boolean wait)
	{
		this.wait = wait;
	}

}
